Eclipse Platform Release 3.7

## org.eclipse.update.core
Interface IURLEntry

All Superinterfaces:
  IAdaptable

All Known Implementing Classes:
  URLEntry

Deprecated. The org.eclipse.update component has been replaced by Equinox p2. This API will be deleted in a future release. See bug 311590 for details.

    public interface IURLEntry

extends IAdaptable

URL entry is an annotated URL object. It allows descriptive text to be associated with a URL. When used as description object, the annotation typically corresponds to short descriptive text, with the URL reference pointing to full browsable description.

Clients may implement this interface. However, in most cases clients should directly instantiate or subclass the provided implementation of this interface.

Note: This class/interface is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

Since:
  2.0
See Also:
  `URLEntry`

Field Summary
`static int` `UPDATE_SITE` Deprecated.
`static int` `WEB_SITE` Deprecated.

Method Summary
`String` `getAnnotation()` Deprecated. Returns the URL annotation or `null` if none
`int` `getType()` Deprecated. Returns the type of the URLEntry
`URL` `getURL()` Deprecated. Returns the actual URL.

Methods inherited from interface org.eclipse.core.runtime.IAdaptable
`getAdapter`

Field Detail

### UPDATE_SITE

    static final int UPDATE_SITE

  Deprecated.
  See Also:
    Constant Field Values

### WEB_SITE

    static final int WEB_SITE

  Deprecated.
  See Also:
    Constant Field Values

Method Detail

### getAnnotation

    String getAnnotation()

  Deprecated.
  Returns the URL annotation or `null` if none

  Returns:
    url annotation or `null` if none
  Since:
    2.0

### getURL

    URL getURL()

  Deprecated.
  Returns the actual URL.

  Returns:
    url.
  Since:
    2.0

### getType

    int getType()

  Deprecated.
  Returns the type of the URLEntry

  Returns:
    type
  Since:
    2.0
  See Also:
    `UPDATE_SITE`, `WEB_SITE`

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.